# metadata.h File Reference

## Detailed Description

This module provides classes for creating and manipulating FLAC metadata blocks in memory, and three progressively more powerful interfaces for traversing and editing metadata in FLAC files.

See the detailed documentation for each interface in the metadata module.

`#include "export.h"`
`#include "FLAC/metadata.h"`

Go to the source code of this file.

## Namespaces

namespace | FLAC
namespace | FLAC::Metadata

## Functions

Prototype * | clone (const Prototype *)
bool | get_streaminfo (const char *filename, StreamInfo &streaminfo)
bool | get_tags (const char *filename, VorbisComment *&tags)
bool | get_tags (const char *filename, VorbisComment &tags)
bool | get_cuesheet (const char *filename, CueSheet *&cuesheet)
bool | get_cuesheet (const char *filename, CueSheet &cuesheet)
bool | get_picture (const char *filename, Picture *&picture,::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, unsigned max_width, unsigned max_height, unsigned max_depth, unsigned max_colors)
bool | get_picture (const char *filename, Picture &picture,::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, unsigned max_width, unsigned max_height, unsigned max_depth, unsigned max_colors)

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |